package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Lan network proto: Pass-Through mode
 */
@ApiModel(description = "Lan network proto: Pass-Through mode")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class LanNetworkProtoPassThroughMode   {
  @JsonProperty("portId")
  private String portId;

  public LanNetworkProtoPassThroughMode portId(String portId) {
    this.portId = portId;
    return this;
  }

  /**
   * The port ID of WAN port
   * @return portId
  */
  @ApiModelProperty(value = "The port ID of WAN port")


  public String getPortId() {
    return portId;
  }

  public void setPortId(String portId) {
    this.portId = portId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LanNetworkProtoPassThroughMode lanNetworkProtoPassThroughMode = (LanNetworkProtoPassThroughMode) o;
    return Objects.equals(this.portId, lanNetworkProtoPassThroughMode.portId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(portId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LanNetworkProtoPassThroughMode {\n");
    
    sb.append("    portId: ").append(toIndentedString(portId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

